=== modified file 'configure.ac'
--- configure.ac	2010-10-20 22:53:36 +0000
+++ configure.ac	2010-12-10 19:01:12 +0000
@@ -139,6 +139,10 @@
   ])
 
 WITH_VALGRIND
+AS_IF([test "x${ac_gcc_profile_mode}" = "xyes" -a "x{pandora_cv_boost_profile}" = "xyes"],[
+    AC_DEFINE([_GLIBCXX_PROFILE],[1],[Enable GCC Profile Mode])
+    ])
+
 
 AC_CONFIG_FILES(Makefile dnl
  tests/Makefile dnl

=== modified file 'm4/pandora_have_boost.m4'
--- m4/pandora_have_boost.m4	2010-07-05 16:10:27 +0000
+++ m4/pandora_have_boost.m4	2010-12-10 19:01:12 +0000
@@ -54,6 +54,25 @@
       ac_cv_boost=no
     ])
   ])
+
+  AS_IF([test "x${ac_gcc_profile_mode}" = "xyes"],[
+    AC_CACHE_CHECK([if boost is recent enough for GCC Profile Mode],
+      [pandora_cv_boost_profile],[
+      pandora_need_boost_version=104300
+      AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
+#include <boost/version.hpp>
+
+#if BOOST_VERSION < ${pandora_need_boost_version}
+# error boost too old!
+#endif
+          ]],[[]])
+        ],[
+        pandora_cv_boost_profile=yes
+        ],[
+        pandora_cv_boost_profile=no
+        ])
+    ])
+  ])
       
 
   AM_CONDITIONAL(HAVE_BOOST, [test "x${ac_cv_boost}" = "xyes"])

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2010-12-10 17:41:26 +0000
+++ m4/pandora_warnings.m4	2010-12-10 19:01:12 +0000
@@ -34,6 +34,12 @@
           [ac_cv_warnings_as_errors=yes],
           [ac_cv_warnings_as_errors=no]))
 
+  AC_ARG_ENABLE([gcc-profile-mode],
+      [AS_HELP_STRING([--enable-gcc-profile-mode],
+         [Toggle gcc profile mode @<:@default=off@:>@])],
+      [ac_gcc_profile_mode="$enableval"],
+      [ac_gcc_profile_mode="no"])
+
   AC_ARG_ENABLE([profiling],
       [AS_HELP_STRING([--enable-profiling],
          [Toggle profiling @<:@default=off@:>@])],

